API Reference

Access insights from OnlyOneMessage through it's REST API, available since version 1.7. This is used for our frontend operations.

You can access the API at https://oom-api.monobyte.studio.

💡

This API is in beta; expect major changes as OnlyOneMessage updates. If you encounter a problem, create a ticket in our support server!

/v1/stats GET

Retrieve general statistics about OnlyOneMessage. Data includes its version, message metrics, latency, and more.

GET https://oom-api.monobyte.studio/v1/stats
{
        "version": "2.0.0", // Major.Minor.Micro
        "build": "2026.4.15", // Year.Month.Day
        "latency": 32, // milliseconds
        "uptime": 5, // seconds
        "shards": 4,
        "guilds": 64,
        "members": 1337,
        "channels": 60,
        "whitelists": 500,
        "blacklists": 500,
        "totalmsgs": 1000
    }

/v1/health GET

Check the bot's online status and shard latencies.

GET https://oom-api.monobyte.studio/v1/health
{
        "database": "online", // "online" or "offline"
        "health": "online", // "online" or "degraded"

        "shards": {
            "0": { // for each shard ID
            "latency": 0, // displayed in seconds (ex: 0.4 = 400ms)
            "status": "online" // "online", "degraded", or "offline"
            "guilds": 16,
            "members": 400,
            "channels": 15
            }
        }
    }